#Using the import * means we are importing everything inside the designated library
#Thus the line below imports all functionality from tkinter.
from tkinter import *

#This creates a GUI tk() Variable.
GUI = Tk()

#This function gives the window a name.
GUI.title('The Two Button Window')

#Set the size of the GUI Window.
GUI.geometry("300x220")

#Creating a user-created function which will run whenever the button is clicked.
def callback():
    print('You have clicked!')

#This defines the button, stating the button name, What window it is on
#the text that fills the button, the dimensions of the button and the
#command of the button (what it is that it will do ergo quit the application).
#The first button references the user-created function above. 
button1 = Button(GUI, text = "Click Me", width=20, height = 10, command = callback)
button2 = Button(GUI, text = "Quit", width=10, command = quit)

#Determines location of buttons. Another method to do this is using the function pack().
#These buttons will be stacked underneath each other with 80 pixels of padding on the
#x axis and 5 pixels up and down.
button1.grid(row = 0, column = 1, padx=80, pady=5)
button2.grid(row = 2, column = 0, columnspan = 2)

#This is a way of creating an infinite loop. The application will run, wait for
#events to occur and process the events so long as the window is not closed.
#Another way to make an infinite loop would be creating while True infinite loop.
mainloop()

